Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_moy_undefstd.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_moy_undefstd.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_moy_undefstd.f90	(revision 5160)
@@ -0,0 +1,145 @@
+MODULE lmdz_moy_undefstd
+  IMPLICIT NONE; PRIVATE
+  PUBLIC moy_undefstd
+CONTAINS
+  SUBROUTINE moy_undefstd(itap, itapm1)
+    USE netcdf, ONLY: nf90_fill_real
+    USE dimphy
+    USE phys_state_var_mod
+    USE lmdz_wxios, ONLY: missing_val_xios => missing_val, using_xios
+
+    USE phys_cal_mod, ONLY: mth_len
+    USE lmdz_clesphys
+
+    IMPLICIT NONE
+    REAL :: missing_val
+
+    ! ====================================================================
+
+    ! I. Musat : 09.2004
+
+    ! Moyenne - a des frequences differentes - des valeurs bien definies
+    ! (.NE.missing_val) des variables interpolees a un niveau de
+    ! pression.
+    ! 1) les variables de type "day" (nout=1) ou "mth" (nout=2) sont sommees
+    ! tous les pas de temps de la physique
+
+    ! 2) les variables de type "NMC" (nout=3) sont calculees a partir
+    ! des valeurs instantannees toutes les 6 heures
+
+
+    ! NB: mettre "inst(X)" dans le write_hist*NMC.h !
+    ! ====================================================================
+
+
+    ! variables Input
+    ! INTEGER nlevSTD, klevSTD, itap
+    ! PARAMETER(klevSTD=17)
+    INTEGER itap, itapm1
+
+    ! variables locales
+    ! INTEGER i, k, nout, n
+    ! PARAMETER(nout=3) !nout=1 day/nout=2 mth/nout=3 NMC
+    INTEGER i, k, n
+    ! REAL dtime, freq_outNMC(nout), freq_moyNMC(nout)
+    ! REAL freq_outNMC(nout), freq_calNMC(nout)
+    REAL freq_moynmc(nout)
+
+    ! variables Output
+    ! REAL tnondef(klon,klevSTD,nout)
+    ! REAL tsumSTD(klon,klevSTD,nout)
+
+    REAL un_jour
+    PARAMETER (un_jour = 86400.)
+    ! REAL missing_val
+
+    ! missing_val = nf90_fill_real
+    IF (using_xios) THEN
+      missing_val = missing_val_xios
+    ELSE
+      missing_val = missing_val_nf90
+    ENDIF
+
+    DO n = 1, nout
+      IF (freq_outnmc(n)<0) THEN
+        freq_moynmc(n) = (mth_len * un_jour) / freq_calnmc(n)
+        ! PRINT*,'moy_undefSTD n freq_out freq_moy =',
+        ! $n,freq_moyNMC(n)
+      ELSE
+        freq_moynmc(n) = freq_outnmc(n) / freq_calnmc(n)
+      END IF
+
+      ! calcul 1 fois pas mois, 1 fois par jour ou toutes les 6h
+
+      IF (n==1 .AND. itap==itapm1 .OR. n>1 .AND. mod(itap, nint(freq_outnmc(n) / &
+              phys_tstep))==0) THEN
+
+        ! PRINT*,'moy_undefSTD n itap itapm1',n,itap,itapm1
+
+        DO k = 1, nlevstd
+          DO i = 1, klon
+            IF (tnondef(i, k, n)/=(freq_moynmc(n))) THEN
+              tsumstd(i, k, n) = tsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k, n &
+                      ))
+              usumstd(i, k, n) = usumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k, n &
+                      ))
+              vsumstd(i, k, n) = vsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k, n &
+                      ))
+              wsumstd(i, k, n) = wsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k, n &
+                      ))
+              phisumstd(i, k, n) = phisumstd(i, k, n) / &
+                      (freq_moynmc(n) - tnondef(i, k, n))
+              qsumstd(i, k, n) = qsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k, n &
+                      ))
+              rhsumstd(i, k, n) = rhsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              uvsumstd(i, k, n) = uvsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              vqsumstd(i, k, n) = vqsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              vtsumstd(i, k, n) = vtsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              wqsumstd(i, k, n) = wqsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              vphisumstd(i, k, n) = vphisumstd(i, k, n) / &
+                      (freq_moynmc(n) - tnondef(i, k, n))
+              wtsumstd(i, k, n) = wtsumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              u2sumstd(i, k, n) = u2sumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              v2sumstd(i, k, n) = v2sumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              t2sumstd(i, k, n) = t2sumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              o3sumstd(i, k, n) = o3sumstd(i, k, n) / (freq_moynmc(n) - tnondef(i, k &
+                      , n))
+              o3daysumstd(i, k, n) = o3daysumstd(i, k, n) / &
+                      (freq_moynmc(n) - tnondef(i, k, n))
+            ELSE
+              tsumstd(i, k, n) = missing_val
+              usumstd(i, k, n) = missing_val
+              vsumstd(i, k, n) = missing_val
+              wsumstd(i, k, n) = missing_val
+              phisumstd(i, k, n) = missing_val
+              qsumstd(i, k, n) = missing_val
+              rhsumstd(i, k, n) = missing_val
+              uvsumstd(i, k, n) = missing_val
+              vqsumstd(i, k, n) = missing_val
+              vtsumstd(i, k, n) = missing_val
+              wqsumstd(i, k, n) = missing_val
+              vphisumstd(i, k, n) = missing_val
+              wtsumstd(i, k, n) = missing_val
+              u2sumstd(i, k, n) = missing_val
+              v2sumstd(i, k, n) = missing_val
+              t2sumstd(i, k, n) = missing_val
+              o3sumstd(i, k, n) = missing_val
+              o3daysumstd(i, k, n) = missing_val
+            END IF !tnondef(i,k,n).NE.(freq_moyNMC(n))
+          END DO !i
+        END DO !k
+      END IF !MOD(itap,NINT(freq_outNMC(n)/phys_tstep)).EQ.0
+
+    END DO !n
+
+  END SUBROUTINE moy_undefstd
+END MODULE lmdz_moy_undefstd
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_plevel_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_plevel_new.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_plevel_new.f90	(revision 5160)
@@ -0,0 +1,135 @@
+MODULE lmdz_plevel_new
+  IMPLICIT NONE; PRIVATE
+  PUBLIC plevel_new
+CONTAINS
+
+  SUBROUTINE plevel_new(ilon, ilev, klevstd, lnew, pgcm, pres, qgcm, qpres)
+    USE dimphy
+    USE phys_state_var_mod, ONLY: missing_val_nf90
+    USE lmdz_wxios, ONLY: missing_val_xios => missing_val, using_xios
+
+    IMPLICIT NONE
+
+    ! ================================================================
+
+    ! Interpoler des champs 3-D u, v et g du modele a un niveau de
+    ! pression donnee (pres)
+
+    ! INPUT:  ilon ----- nombre de points
+    ! ilev ----- nombre de couches
+    ! lnew ----- true si on doit reinitialiser les poids
+    ! pgcm ----- pressions modeles
+    ! pres ----- pression vers laquelle on interpolle
+    ! Qgcm ----- champ GCM
+    ! Qpres ---- champ interpolle au niveau pres
+
+    ! ================================================================
+
+    ! arguments :
+    ! -----------
+
+    INTEGER ilon, ilev, klevstd
+    LOGICAL lnew
+
+    REAL pgcm(ilon, ilev)
+    REAL qgcm(ilon, ilev)
+    REAL pres(klevstd)
+    REAL qpres(ilon, klevstd)
+
+    ! local :
+    ! -------
+
+    ! ym      INTEGER lt(klon), lb(klon)
+    ! ym      REAL ptop, pbot, aist(klon), aisb(klon)
+
+    ! ym      save lt,lb,ptop,pbot,aist,aisb
+    INTEGER, ALLOCATABLE, SAVE, DIMENSION (:, :) :: lt, lb
+    REAL, ALLOCATABLE, SAVE, DIMENSION (:, :) :: aist, aisb
+    !$OMP THREADPRIVATE(lt,lb,aist,aisb)
+    REAL, SAVE :: ptop, pbot
+    !$OMP THREADPRIVATE(ptop, pbot)
+    LOGICAL, SAVE :: first = .TRUE.
+    INTEGER :: nlev
+    !$OMP THREADPRIVATE(first)
+    INTEGER i, k
+
+    REAL :: missing_val
+
+    IF (using_xios) THEN
+      missing_val = missing_val_xios
+    ELSE
+      missing_val = missing_val_nf90
+    ENDIF
+
+    IF (first) THEN
+      ALLOCATE (lt(klon, klevstd), lb(klon, klevstd))
+      ALLOCATE (aist(klon, klevstd), aisb(klon, klevstd))
+      first = .FALSE.
+    END IF
+
+    ! =====================================================================
+    IF (lnew) THEN
+      ! on reinitialise les reindicages et les poids
+      ! =====================================================================
+
+
+      ! Chercher les 2 couches les plus proches du niveau a obtenir
+
+      ! Eventuellement, faire l'extrapolation a partir des deux couches
+      ! les plus basses ou les deux couches les plus hautes:
+
+      DO nlev = 1, klevstd
+        DO i = 1, klon
+          IF (abs(pres(nlev) - pgcm(i, ilev))<abs(pres(nlev) - pgcm(i, 1))) THEN
+            lt(i, nlev) = ilev ! 2
+            lb(i, nlev) = ilev - 1 ! 1
+          ELSE
+            lt(i, nlev) = 2
+            lb(i, nlev) = 1
+          END IF
+        END DO
+        DO k = 1, ilev - 1
+          DO i = 1, klon
+            pbot = pgcm(i, k)
+            ptop = pgcm(i, k + 1)
+            IF (ptop<=pres(nlev) .AND. pbot>=pres(nlev)) THEN
+              lt(i, nlev) = k + 1
+              lb(i, nlev) = k
+            END IF
+          END DO
+        END DO
+
+        ! Interpolation lineaire:
+        DO i = 1, klon
+          ! interpolation en logarithme de pression:
+
+          ! ...   Modif . P. Le Van    ( 20/01/98) ....
+          ! Modif Frederic Hourdin (3/01/02)
+
+          aist(i, nlev) = log(pgcm(i, lb(i, nlev)) / pres(nlev)) / log(pgcm(i, lb(i, &
+                  nlev)) / pgcm(i, lt(i, nlev)))
+          aisb(i, nlev) = log(pres(nlev) / pgcm(i, lt(i, nlev))) / log(pgcm(i, lb(i, &
+                  nlev)) / pgcm(i, lt(i, nlev)))
+        END DO
+      END DO
+
+    END IF ! lnew
+
+    ! ======================================================================
+    ! inteprollation
+    ! ET je mets les vents a zero quand je rencontre une montagne
+    ! ======================================================================
+
+    DO nlev = 1, klevstd
+      DO i = 1, klon
+        IF (pgcm(i, 1)<pres(nlev)) THEN
+          qpres(i, nlev) = missing_val
+        ELSE
+          qpres(i, nlev) = qgcm(i, lb(i, nlev)) * aisb(i, nlev) + &
+                  qgcm(i, lt(i, nlev)) * aist(i, nlev)
+        END IF
+      END DO
+    END DO
+
+  END SUBROUTINE plevel_new
+END MODULE lmdz_plevel_new
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5160)
@@ -199,5 +199,5 @@
       CALL thermcell_tke_transport(ngrid, nlay, ptimestep, fm0, entr0, &  ! in
               rg, pplev, therm_tke_max)                               ! out
-      !   print *,' thermcell_tke_transport -> '   !!jyg
+      !   PRINT *,' thermcell_tke_transport -> '   !!jyg
 
       !-----Calcul des profils verticaux de TKE hors thermiques : env_tke_max, et de la vitesse verticale grande échelle : W_ls
@@ -209,5 +209,5 @@
         enddo
       enddo
-      !    print *,' apres w_ls = '   !!jyg
+      !    PRINT *,' apres w_ls = '   !!jyg
 
       DO ig = 1, ngrid
@@ -238,5 +238,5 @@
 
     ENDIF ! IF ( (iflag_trig_bl.ge.1) .OR. (iflag_clos_bl.ge.1) )
-    !  print *,'ENDIF  ( (iflag_trig_bl.ge.1) .OR. (iflag_clos_bl.ge.1) ) '    !!jyg
+    !  PRINT *,'ENDIF  ( (iflag_trig_bl.ge.1) .OR. (iflag_clos_bl.ge.1) ) '    !!jyg
 
     !------------Triggering------------------
@@ -270,5 +270,5 @@
         endif
       enddo
-      !   print *,'avant Calcul de Wmax '    !!jyg
+      !   PRINT *,'avant Calcul de Wmax '    !!jyg
 
       !CR: calcul de strig
@@ -304,5 +304,5 @@
 
     ENDIF ! iflag_trig_bl
-    !  print *,'ENDIF  iflag_trig_bl'    !!jyg
+    !  PRINT *,'ENDIF  iflag_trig_bl'    !!jyg
 
     !------------Closure------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_undefstd.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_undefstd.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_undefstd.f90	(revision 5160)
@@ -0,0 +1,107 @@
+MODULE lmdz_undefstd
+  IMPLICIT NONE; PRIVATE
+  PUBLIC undefstd
+CONTAINS
+
+  SUBROUTINE undefstd(itap, read_climoz)
+    USE netcdf, ONLY: nf90_fill_real
+    USE dimphy
+    USE phys_state_var_mod
+    USE lmdz_wxios, ONLY: missing_val_xios => missing_val, using_xios
+    USE lmdz_clesphys
+
+    IMPLICIT NONE
+    REAL :: missing_val
+
+    ! ====================================================================
+
+    ! I. Musat : 09.2004
+
+    ! Calcul * du nombre de pas de temps (FLOAT(ecrit_XXX)-tnondef))
+    ! ou la variable tlevSTD est bien definie (.NE.missing_val),
+    ! et
+    ! * de la somme de tlevSTD => tsumSTD
+
+    ! nout=1 !var. journaliere "day" moyenne sur tous les pas de temps
+    ! de la physique
+    ! nout=2 !var. mensuelle "mth" moyennee sur tous les pas de temps
+    ! de la physique
+    ! nout=3 !var. mensuelle "NMC" moyennee toutes les ecrit_hf
+
+
+    ! NB: mettre "inst(X)" dans le write_hist*NMC.h !
+    ! ====================================================================
+
+    ! ymINCLUDE "dimphy.h"
+    ! variables Input
+
+    ! INTEGER nlevSTD, klevSTD, itap
+    ! PARAMETER(klevSTD=17)
+    INTEGER itap
+
+    ! variables locales
+    ! INTEGER i, k, nout, n
+    ! PARAMETER(nout=3) !nout=1 : day; =2 : mth; =3 : NMC
+    INTEGER i, k, n
+    ! REAL freq_calNMC(nout)
+    INTEGER read_climoz
+
+    ! variables Output
+    ! REAL tlevSTD(klon,klevSTD), tsumSTD(klon,klevSTD,nout)
+    ! LOGICAL oknondef(klon,klevSTD,nout)
+    ! REAL tnondef(klon,klevSTD,nout)
+
+    ! REAL missing_val
+
+    ! missing_val = nf90_fill_real
+    IF (using_xios) THEN
+      missing_val = missing_val_xios
+    ELSE
+      missing_val = missing_val_nf90
+    ENDIF
+
+    DO n = 1, nout
+
+
+      ! calcul variables tous les freq_calNMC(n)/phys_tstep pas de temps
+      ! de la physique
+
+      IF (mod(itap, nint(freq_calnmc(n) / phys_tstep))==0) THEN
+        DO k = 1, nlevstd
+          DO i = 1, klon
+            IF (tlevstd(i, k)==missing_val) THEN
+              ! IF(oknondef(i,k,n)) THEN
+              tnondef(i, k, n) = tnondef(i, k, n) + 1.
+              ! ENDIF !oknondef(i,k)
+
+            ELSE IF (tlevstd(i, k)/=missing_val) THEN
+              tsumstd(i, k, n) = tsumstd(i, k, n) + tlevstd(i, k)
+              usumstd(i, k, n) = usumstd(i, k, n) + ulevstd(i, k)
+              vsumstd(i, k, n) = vsumstd(i, k, n) + vlevstd(i, k)
+              wsumstd(i, k, n) = wsumstd(i, k, n) + wlevstd(i, k)
+              phisumstd(i, k, n) = phisumstd(i, k, n) + philevstd(i, k)
+              qsumstd(i, k, n) = qsumstd(i, k, n) + qlevstd(i, k)
+              rhsumstd(i, k, n) = rhsumstd(i, k, n) + rhlevstd(i, k)
+              uvsumstd(i, k, n) = uvsumstd(i, k, n) + uvstd(i, k)
+              vqsumstd(i, k, n) = vqsumstd(i, k, n) + vqstd(i, k)
+              vtsumstd(i, k, n) = vtsumstd(i, k, n) + vtstd(i, k)
+              wqsumstd(i, k, n) = wqsumstd(i, k, n) + wqstd(i, k)
+              vphisumstd(i, k, n) = vphisumstd(i, k, n) + vphistd(i, k)
+              wtsumstd(i, k, n) = wtsumstd(i, k, n) + wtstd(i, k)
+              u2sumstd(i, k, n) = u2sumstd(i, k, n) + u2std(i, k)
+              v2sumstd(i, k, n) = v2sumstd(i, k, n) + v2std(i, k)
+              t2sumstd(i, k, n) = t2sumstd(i, k, n) + t2std(i, k)
+              o3sumstd(i, k, n) = o3sumstd(i, k, n) + o3std(i, k)
+              IF (read_climoz==2) o3daysumstd(i, k, n) = o3daysumstd(i, k, n) + &
+                      o3daystd(i, k)
+
+            END IF
+          END DO !i
+        END DO !k
+
+      END IF !MOD(itap,NINT(freq_calNMC(n)/phys_tstep)).EQ.0
+
+    END DO !n
+
+  END SUBROUTINE undefstd
+END MODULE lmdz_undefstd
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5160)
@@ -893,5 +893,5 @@
 
     DO i = 1, klon
-      ! c       print *,' isubstep,wk_adv(i),cstar(i),wape(i) ',
+      ! c       PRINT *,' isubstep,wk_adv(i),cstar(i),wape(i) ',
       ! c     $           isubstep,wk_adv(i),cstar(i),wape(i)
       IF (wk_adv(i) .AND. cstar(i)>0.01) THEN
@@ -1182,5 +1182,5 @@
       END DO
     END DO
-!!    print *,'omg(igout,k) ', (k,omg(igout,k),k=1,klev)
+!!    PRINT *,'omg(igout,k) ', (k,omg(igout,k),k=1,klev)
     ! cc nrlmd
     ! c      DO i=1,klon
@@ -2018,18 +2018,18 @@
     DO i = 1, klon
       IF (ok_qx_qw(i)) THEN
-        !! print *,'wake, hw0(i), dthmin(i) ', hw0(i), dthmin(i)
-        !! print *,'wake, 2.*sum_dth(i)/(hw0(i)*dthmin(i)) ', &
+        !! PRINT *,'wake, hw0(i), dthmin(i) ', hw0(i), dthmin(i)
+        !! PRINT *,'wake, 2.*sum_dth(i)/(hw0(i)*dthmin(i)) ', &
         !!                2.*sum_dth(i)/(hw0(i)*dthmin(i))
-        !! print *,'wake, sum_half_dth(i), sum_dth(i) ', &
+        !! PRINT *,'wake, sum_half_dth(i), sum_dth(i) ', &
         !!                sum_half_dth(i), sum_dth(i)
         IF ((hw0(i) < 1.) .OR. (dthmin(i) >= -delta_t_min) ) THEN
           wape2(i) = -1.
-          !! print *,'wake, rej 1'
+          !! PRINT *,'wake, rej 1'
         ELSE IF (iflag_wk_check_trgl==1.AND.abs(2.*sum_dth(i)/(hw0(i)*dthmin(i)) - 1.) > 0.5) THEN
           wape2(i) = -1.
-          !! print *,'wake, rej 2'
+          !! PRINT *,'wake, rej 2'
         ELSE IF (abs(sum_half_dth(i)) < 0.5*abs(sum_dth(i)) ) THEN
           wape2(i) = -1.
-          !! print *,'wake, rej 3'
+          !! PRINT *,'wake, rej 3'
         END IF
       END IF
@@ -2956,11 +2956,11 @@
 
       IF (prt_level >= 10) THEN
-        print *,'wake, cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), drdt(1) ', &
+        PRINT *,'wake, cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), drdt(1) ', &
                        cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), drdt(1)
-        print *,'wake, wdens(1), awdens(1), act(1), d_awdens(1) ', &
+        PRINT *,'wake, wdens(1), awdens(1), act(1), d_awdens(1) ', &
                        wdens(1), awdens(1), act(1), d_awdens(1)
-        print *,'wake, wgen, -(wdens-awdens)*tau_wk_inv, -2.*wdens*gfl*drdt_pos, d_wdens ', &
+        PRINT *,'wake, wgen, -(wdens-awdens)*tau_wk_inv, -2.*wdens*gfl*drdt_pos, d_wdens ', &
                        wgen(1), -(wdens(1)-awdens(1))*tau_wk_inv(1), -2.*wdens(1)*gfl(1)*drdt_pos, d_wdens(1)
-        print *,'wake, d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1) ', &
+        PRINT *,'wake, d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1) ', &
                        d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1)
       ENDIF
@@ -3105,9 +3105,9 @@
 
       IF (prt_level >= 10) THEN
-        print *,'wake, cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), cont_fact(1) ', &
+        PRINT *,'wake, cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), cont_fact(1) ', &
                        cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), cont_fact(1)
-        print *,'wake, wdens(1), awdens(1), d_awdens(1) ', &
+        PRINT *,'wake, wdens(1), awdens(1), d_awdens(1) ', &
                        wdens(1), awdens(1), d_awdens(1)
-        print *,'wake, d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1) ', &
+        PRINT *,'wake, d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1) ', &
                        d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1)
       ENDIF
@@ -3351,9 +3351,9 @@
 
       IF (prt_level >= 10) THEN
-        print *,'wake, cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), gfl(1) ', &
+        PRINT *,'wake, cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), gfl(1) ', &
                        cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), gfl(1)
-        print *,'wake, wdens(1), awdens(1), d_awdens(1) ', &
+        PRINT *,'wake, wdens(1), awdens(1), d_awdens(1) ', &
                        wdens(1), awdens(1), d_awdens(1)
-        print *,'wake, d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1) ', &
+        PRINT *,'wake, d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1) ', &
                        d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1)
       ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5160)
@@ -14,4 +14,6 @@
   USE lmdz_YOECUMF
   USE lmdz_yomcst
+  USE lmdz_chem, ONLY: idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
 
   IMPLICIT NONE
@@ -22,6 +24,4 @@
   ! last modification 16/01/2013 (reformulation partie evaporation)
   !=====================================================================
-
-  include "chem.h"
 
   ! inputs
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_slab_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_slab_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_slab_mod.F90	(revision 5160)
@@ -152,5 +152,5 @@
     nslay = 2
     CALL getin_p('slab_layers', nslay)
-    print *, 'number of slab layers : ', nslay
+    PRINT *, 'number of slab layers : ', nslay
     ! Layer thickness
     ALLOCATE(slabh(nslay), stat = error)
@@ -172,5 +172,5 @@
     cpl_pas = NINT(86400. / dtime * 1.0) ! une fois par jour
     CALL getin_p('cpl_pas', cpl_pas)
-    print *, 'cpl_pas', cpl_pas
+    PRINT *, 'cpl_pas', cpl_pas
 
     ! Horizontal diffusion
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90	(revision 5160)
@@ -426,5 +426,5 @@
   ! --------------
 
-  ! print *,' entree gwsetup'
+  ! PRINT *,' entree gwsetup'
 
   ! ------------------------------------------------------------------
@@ -971,5 +971,5 @@
   ! --------------
 
-  ! print *,' entree gwprofil'
+  ! PRINT *,' entree gwprofil'
 
 
@@ -1366,5 +1366,5 @@
   ! do 2011 jl=kidia,kfdia
   ! IF(KTEST(JL).EQ.1) THEN
-  ! print *,' iknul= ',iknul(jl),'  iknub=',iknub(jl)
+  ! PRINT *,' iknul= ',iknul(jl),'  iknub=',iknub(jl)
   ! ENDIF
   ! 2011 continue
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5160)
@@ -276,5 +276,5 @@
   ! --------------
 
-  ! print *,' in orodrag'
+  ! PRINT *,' in orodrag'
 
   ! ------------------------------------------------------------------
@@ -1038,5 +1038,5 @@
       ! IF(lo) ptau(jl,klev+1)=0.0
 
-      ! print *,jl,ptau(jl,klev+1)
+      ! PRINT *,jl,ptau(jl,klev+1)
 
     ELSE
@@ -1124,5 +1124,5 @@
   ! --------------
 
-  ! print *,' entree gwprofil'
+  ! PRINT *,' entree gwprofil'
 
 
@@ -1134,5 +1134,5 @@
       zoro(jl) = psig(jl) * pdmod(jl) / 4. / pstd(jl)
       ztau(jl, klev + 1) = ptau(jl, klev + 1)
-      ! print *,jl,ptau(jl,klev+1)
+      ! PRINT *,jl,ptau(jl,klev+1)
       ztau(jl, kkcrith(jl)) = grahilo * ptau(jl, klev + 1)
     END IF
@@ -1188,5 +1188,5 @@
             zriw = pri(jl, jk) * (1. - zalfa) / (1 + zalfa * zsqr)**2
             IF (zriw<grcrit) THEN
-              ! print *,' breaking!!!',ptau(jl,jk)
+              ! PRINT *,' breaking!!!',ptau(jl,jk)
               zdel = 4. / zsqr / grcrit + 1. / grcrit**2 + 4. / grcrit
               zb = 1. / grcrit + 2. / zsqr
@@ -1346,5 +1346,5 @@
 
 
-  ! print *,'in lift_noro'
+  ! PRINT *,'in lift_noro'
   DO i = 1, klon
     pulow(i) = 0.0
@@ -1406,5 +1406,5 @@
   END DO
 
-  ! print *,' out lift_noro'
+  ! PRINT *,' out lift_noro'
 
 END SUBROUTINE lift_noro_strato
@@ -1573,5 +1573,5 @@
     END DO
   END DO
-  ! print *,'  dans orolift: 223'
+  ! PRINT *,'  dans orolift: 223'
 
   ! ********************************************************************
@@ -1698,5 +1698,5 @@
   END IF
 
-  ! print *,' out orolift'
+  ! PRINT *,' out orolift'
 
 END SUBROUTINE orolift_strato
